<?php



namespace Config;



// Create a new instance of our RouteCollection class.

$routes = Services::routes();



// Load the system's routing file first, so that the app and ENVIRONMENT

// can override as needed.

if (file_exists(SYSTEMPATH . 'Config/Routes.php')) {

    require SYSTEMPATH . 'Config/Routes.php';

}



/*

 * --------------------------------------------------------------------

 * Router Setup

 * --------------------------------------------------------------------

 */

$routes->setDefaultNamespace('App\Controllers');

$routes->setDefaultController('Home');

$routes->setDefaultMethod('index');

$routes->setTranslateURIDashes(false);

$routes->set404Override();

$routes->setAutoRoute(true);



/*

 * --------------------------------------------------------------------

 * Route Definitions

 * --------------------------------------------------------------------

 */



// We get a performance increase by specifying the default

// route since we don't have to scan directories.

$routes->get('/', 'OrderController::index');



//...

$routes->get('/order', 'OrderController::index');
$routes->post('/order/store', 'OrderController::store');
$routes->get('/orders', 'OrderController::orders');

$routes->get('/countdown', 'CountdownController::index');
$routes->get('/countdown/fetchComments', 'CountdownController::fetchComments');
$routes->post('/countdown/postComment', 'CountdownController::postComment');


$routes->get('/scan', 'ScanController::index');
$routes->get('/scan/getScannedData', 'ScanController::getScannedData');

$routes->post('/scan/scanBarcode', 'ScanController::scanBarcode');
$routes->get('/scan/assignTasks', 'ScanController::assignTasks');

$routes->get('jobs', 'JobController::index');
$routes->post('jobs/distribute', 'JobController::distributeJobs');
$routes->get('jobs/redistributeJobs', 'JobController::redistributeJobs');
$routes->post('jobs/assignJobToStaff', 'JobController::assignJobToStaff');
$routes->post('jobs/resetCurrentJobs', 'JobController::resetCurrentJobs');
$routes->post('api/resetJobs', 'StaffController::resetJobs');


$routes->get('jobs/getStaffMembers', 'JobController::getStaffMembers');
$routes->get('api/staff', 'StaffController::getStaffMembers');
$routes->get('jobs/group/(:num)', 'JobController::getJobsByGroup/$1');
$routes->post('api/groups/create', 'GroupController::createGroup');
$routes->get('api/groups', 'GroupController::getGroups');
















/*

 * --------------------------------------------------------------------

 * Additional Routing

 * --------------------------------------------------------------------

 *

 * There will often be times that you need additional routing and you

 * need it to be able to override any defaults in this file. Environment

 * based routes is one such time. require() additional route files here

 * to make that happen.

 *

 * You will have access to the $routes object within that file without

 * needing to reload it.

 */

if (file_exists(APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php')) {

    require APPPATH . 'Config/' . ENVIRONMENT . '/Routes.php';

}

